FloatValue (Java Debug Interface )
Keywords: com.sun.jdi.FloatValue interface
Date: 2018-07-01

com.sun.jdi

## Interface FloatValue

- All Superinterfaces:
    Comparable<FloatValue>, Mirror, PrimitiveValue, Value

      @Exported
      public interface FloatValue
      extends PrimitiveValue, Comparable<FloatValue>

  Provides access to a primitive `float` value in the target VM.
  Since:
    1.3

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)` Compares the specified Object with this FloatValue for equality.
    `int` | `hashCode()` Returns the hash code value for this FloatValue.
    `float` | `value()` Returns this FloatValue as a float.

    - ### Methods inherited from interface com.sun.jdi.PrimitiveValue

      `booleanValue, byteValue, charValue, doubleValue, floatValue, intValue, longValue, shortValue`

    - ### Methods inherited from interface com.sun.jdi.Value

      `type`

    - ### Methods inherited from interface com.sun.jdi.Mirror

      `toString, virtualMachine`

    - ### Methods inherited from interface java.lang.Comparable

      `compareTo`

- - ### Method Detail

    - #### value

          float value()

      Returns this FloatValue as a float.
      Returns:
        the `float` mirrored by this object.

    - #### equals

          boolean equals(Object obj)

      Compares the specified Object with this FloatValue for equality.
      Overrides:
        `equals` in class `Object`
      Parameters:
        `obj` - the reference object with which to compare.
      Returns:
        true if the Object is a FloatValue and if applying "==" to the two mirrored primitives would evaluate to true; false otherwise.
      See Also:
        `Object.hashCode()`, `HashMap`

    - #### hashCode

          int hashCode()

      Returns the hash code value for this FloatValue.
      Overrides:
        `hashCode` in class `Object`
      Returns:
        the integer hash code
      See Also:
        `Object.equals(java.lang.Object)`, `System.identityHashCode(java.lang.Object)`

Copyright © 1999, 2018, Oracle and/or its affiliates. All rights reserved.